Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(381)

Unified Diff: sys-libs/readline/readline-6.1_p2.ebuild

Issue 6776028: Upgrade libxml2 and its portage dependencies (Closed) Base URL: ssh://gitrw.chromium.org:9222/portage-stable.git@master
Patch Set: Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « sys-libs/readline/metadata.xml ('k') | sys-libs/zlib/ChangeLog » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: sys-libs/readline/readline-6.1_p2.ebuild
diff --git a/sys-libs/readline/readline-6.1_p2.ebuild b/sys-libs/readline/readline-6.1_p2.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..dedc18d57f56d2508e9cc5bd24962acc15146bb3
--- /dev/null
+++ b/sys-libs/readline/readline-6.1_p2.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/readline/readline-6.1_p2.ebuild,v 1.8 2011/03/01 00:34:48 ranger Exp $
+
+inherit autotools eutils multilib toolchain-funcs flag-o-matic
+
+# Official patches
+# See ftp://ftp.cwru.edu/pub/bash/readline-6.0-patches/
+PLEVEL=${PV##*_p}
+MY_PV=${PV/_p*}
+MY_PV=${MY_PV/_/-}
+MY_P=${PN}-${MY_PV}
+[[ ${PV} != *_p* ]] && PLEVEL=0
+patches() {
+ [[ ${PLEVEL} -eq 0 ]] && return 1
+ local opt=$1
+ eval set -- {1..${PLEVEL}}
+ set -- $(printf "${PN}${MY_PV/\.}-%03d " "$@")
+ if [[ ${opt} == -s ]] ; then
+ echo "${@/#/${DISTDIR}/}"
+ else
+ local u
+ for u in ftp://ftp.cwru.edu/pub/bash mirror://gnu/${PN} ; do
+ printf "${u}/${PN}-${MY_PV}-patches/%s " "$@"
+ done
+ fi
+}
+
+DESCRIPTION="Another cute console display library"
+HOMEPAGE="http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html"
+SRC_URI="mirror://gnu/${PN}/${MY_P}.tar.gz $(patches)"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE=""
+
+# We must be certain that we have a bash that is linked
+# to its internal readline, else we may get problems.
+RDEPEND=">=sys-libs/ncurses-5.2-r2"
+DEPEND="${RDEPEND}
+ >=app-shells/bash-2.05b-r2"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ unpack ${MY_P}.tar.gz
+
+ cd "${S}"
+ [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ epatch "${FILESDIR}"/${PN}-5.0-no_rpath.patch
+ epatch "${FILESDIR}"/${PN}-5.2-no-ignore-shlib-errors.patch #216952
+ epatch "${FILESDIR}"/${PN}-6.1-rlfe-freebsd.patch # 301508
+
+ # force ncurses linking #71420
+ sed -i -e 's:^SHLIB_LIBS=:SHLIB_LIBS=-lncurses:' support/shobj-conf || die "sed"
+
+ # fix building under Gentoo/FreeBSD; upstream FreeBSD deprecated
+ # objformat for years, so we don't want to rely on that.
+ sed -i -e '/objformat/s:if .*; then:if true; then:' support/shobj-conf || die
+
+ ln -s ../.. examples/rlfe/readline # for local readline headers
+}
+
+src_compile() {
+ append-cppflags -D_GNU_SOURCE
+
+ econf --with-curses || die
+ emake || die
+
+ if ! tc-is-cross-compiler ; then
+ # code is full of AC_TRY_RUN()
+ cd examples/rlfe
+ append-ldflags -L.
+ local l
+ for l in readline history ; do
+ ln -s ../../shlib/lib${l}$(get_libname)* lib${l}$(get_libname)
+ ln -sf ../../lib${l}.a lib${l}.a
+ done
+ econf || die
+ emake || die
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ gen_usr_ldscript -a readline history #4411
+
+ if ! tc-is-cross-compiler; then
+ dobin examples/rlfe/rlfe || die
+ fi
+
+ dodoc CHANGELOG CHANGES README USAGE NEWS
+ docinto ps
+ dodoc doc/*.ps
+ dohtml -r doc
+}
+
+pkg_preinst() {
+ preserve_old_lib /$(get_libdir)/lib{history,readline}.so.{4,5} #29865
+}
+
+pkg_postinst() {
+ preserve_old_lib_notify /$(get_libdir)/lib{history,readline}.so.{4,5}
+}
« no previous file with comments | « sys-libs/readline/metadata.xml ('k') | sys-libs/zlib/ChangeLog » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698